### Hierarchy

- WhereOp
  - WhereXor

## Index

### Constructors

- constructor

### Methods

- evaluate

## Constructors

### constructor

- new WhereXor(conditions: OrConditions): WhereXor

- - Defined in clauses/where-operators.ts:97

  #### Parameters

  - ##### conditions: OrConditions

  #### Returns WhereXor

## Methods

### evaluate

- evaluate(params: ParameterBag, precedence?: Precedence, name?: string): string

- Overrides WhereOp.evaluate

  - Defined in clauses/where-operators.ts:102

  #### Parameters

  - ##### params: ParameterBag

  - ##### Default value precedence: Precedence = Precedence.None

  - ##### Default value name: string = ""

  #### Returns string

Generated using TypeDoc